Bug 389911 - Open or Import of FLAC file fails in audacity-1.3.2-16.fc8
Open or Import of FLAC file fails in audacity-1.3.2-16.fc8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 22:12 EST by Brady W. Clark
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 02:20:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brady W. Clark 2007-11-18 22:12:16 EST
Description of problem:
Attempting open or import of FLAC file results in a popup with the following error:
Audacity did not recognize the type of this file.
If it is uncompressed, try importing it using "Import Raw"

Version-Release number of selected component (if applicable):
Help->About reports 1.3.2-beta
Package from Fedora repo is audacity-1.3.2-16.fc8

How reproducible:

Steps to Reproduce:
1. yum -y install audacity
2. run audacity
3. from file menu, choose open and select a FLAC audio file.
  
Actual results:
The pop-up menu described above will result:
Audacity did not recognize the type of this file.
If it is uncompressed, try importing it using "Import Raw"

Expected results:
A pop-up indicating "Importing FLAC file", correct operation of the application.
 This was the result with audacity-1.3.2-14.fc7 in Fedora 7.

Additional info:
I attempted to compile audacity from source (sourceforge) and was able to get
FLAC support working fine (with the help of a patch I found at
http://www.nabble.com/Building-audacity-on-Fedora-7-p12151069.html) but then I
lose ALSA support and so forth.  Was the version of fc8 accidentally or
intentionally built without the FLAC support functional?  Can I beg to have it
back?  Pretty please?  :)
Comment 1 Michael Schwendt 2007-11-19 06:28:25 EST
No. Fedora 7 is broken, too. The FLAC upgrade from 1.1.4 to 1.2.0
was ABI incompatible and required a simple rebuild of Audacity for
all Fedora releases.

Get the test-update that fixes this:

yum --enablerepo=updates-testing update audacity

Note You need to log in before you can comment on or make changes to this bug.